Summary:	Administrative utilities for the XFS filesystem
Name:		xfsdump
Version:	3.0.4
Release:	%mkrel 1
Source0:	ftp://oss.sgi.com/projects/xfs/cmd_tars/%{name}-%{version}.tar.gz
License:	GPLv2
Group:		System/Kernel and hardware
URL:		http://oss.sgi.com/projects/xfs/
BuildRequires:	attr-devel
BuildRequires:	libext2fs-devel
BuildRequires:	xfs-devel
BuildRequires:	dm-devel
BuildRequires:	ncurses-devel
BuildRequires:	libtool
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
The xfsdump package contains xfsdump, xfsrestore and a number of
other utilities for administering XFS filesystems.

xfsdump examines files in a filesystem, determines which need to be
backed up, and copies those files to a specified disk, tape or other
storage medium.  It uses XFS-specific directives for optimizing the
dump of an XFS filesystem, and also knows how to backup XFS extended
attributes.  Backups created with xfsdump are "endian safe" and can
thus be transfered between Linux machines of different architectures
and also between IRIX machines.

xfsrestore performs the inverse function of xfsdump; it can restore a
full backup of a filesystem.  Subsequent incremental backups can then
be layered on top of the full backup.  Single files and directory
subtrees may be restored from full or partial backups.

%prep

%setup -q

# make it lib64 aware, better make a patch?
#perl -pi -e "/(libuuid|pkg_s?lib_dir)=/ and s|/lib\b|/%{_lib}|;" configure

%build
export DEBUG="-DNDEBUG"
export OPTIMIZER="%{optflags}"
%configure2_5x
%make DEBUG="-DNDEBUG" OPTIMIZER="%{optflags}"

%install
rm -rf $RPM_BUILD_ROOT
make install DIST_ROOT=%{buildroot}/

# nuke files already packaged as %doc
rm -rf %{buildroot}%{_datadir}/doc/xfsdump/

# for coerency, rename xfsdump|xfsrestore to dump|restore.xfs
mv %{buildroot}/sbin/xfsdump %{buildroot}/sbin/dump.xfs
mv %{buildroot}/sbin/xfsrestore %{buildroot}/sbin/restore.xfs
ln -sf /sbin/dump.xfs %{buildroot}/sbin/xfsdump
ln -sf /sbin/restore.xfs %{buildroot}/sbin/xfsrestore
ln -sf %{_mandir}/man8/xfsdump.8 %{buildroot}%{_mandir}/man8/dump.xfs
ln -sf %{_mandir}/man8/xfsrestore.8 %{buildroot}%{_mandir}/man8/restore.xfs

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc doc/CHANGES.gz doc/COPYING doc/INSTALL doc/README.xfsdump
/sbin/*
%{_sbindir}/*
%{_mandir}/*/*




%changelog
* Sat Feb 13 2010 Frederik Himpe <fhimpe@mandriva.org> 3.0.4-1mdv2010.1
+ Revision: 505168
- Update to new version 3.0.4

* Wed May 06 2009 Frederik Himpe <fhimpe@mandriva.org> 3.0.1-1mdv2010.0
+ Revision: 372682
- Update to new version 3.0.1
- Don't run aclocal and autoconf: it breaks build and is not needed

* Thu Feb 05 2009 Frederik Himpe <fhimpe@mandriva.org> 3.0.0-1mdv2009.1
+ Revision: 337896
- Update to new version 3.0.0
- Drop format string patch, not needed anymore

* Tue Dec 23 2008 Oden Eriksson <oeriksson@mandriva.com> 2.2.48-3mdv2009.1
+ Revision: 317971
- fix build with -Werror=format-security (P0)

* Wed Jun 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.2.48-2mdv2009.0
+ Revision: 226040
- rebuild

* Mon Feb 11 2008 Frederik Himpe <fhimpe@mandriva.org> 2.2.48-1mdv2008.1
+ Revision: 165618
- New upstream version
- Remove patch applied upstream

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Aug 27 2007 Thierry Vignaud <tvignaud@mandriva.com> 2.2.42-4mdv2008.0
+ Revision: 72077
- patch 0: fix CVE-2007-2654 (#31522)


* Sat Mar 03 2007 Giuseppe Ghibò <ghibo@mandriva.com> 2.2.42-3mdv2007.0
+ Revision: 131817
- commented perl regexp in %%setup section as configure file is not yet created at that stage.
- Import xfsdump

* Tue Sep 19 2006 Gwenole Beauchesne <gbeauchesne@mandriva.com> 2.2.42-2mdv2007.0
- Rebuild

* Sat Aug 26 2006 Giuseppe Ghib <ghibo@mandriva.com> 2.2.42-1mdv2007.0
- Release 2.2.42.

* Sun Jul 09 2006 Giuseppe Ghib <ghibo@mandriva.com> 2.2.38-1mdv2007.0
- Release 2.2.38.

* Sat May 06 2006 Giuseppe Ghib <ghibo@mandriva.com> 2.2.33-1mdk
- Release 2.2.33.

* Wed Jan 11 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 2.2.30-3mdk
- add BuildRequires: libtool

* Sun Jan 01 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 2.2.30-2mdk
- Rebuild

* Wed Aug 03 2005 Giuseppe Ghib <ghibo@mandriva.com> 2.2.30-1mdk
- 2.2.30.
- Renamed xfsdump|xfsrestore to dump|restore.xfs (pixel).
- Removed Patch0 (merged upstream).

* Sun Jul 31 2005 Nicolas Lcureuil <neoclust@mandriva.org> 2.2.21-2mdk
- Patch 0 : Fix build with Gcc4

* Sun May 23 2004 Giuseppe Ghib <ghibo@mandrakesoft.com> 2.2.21-1mdk
- 2.2.21.

* Fri Apr 30 2004 Juan Quintela <quintela@mandrakesoft.com> 2.2.19-1mdk
- 2.2.19.

